Kling O1 Video
Kuaishou Kling O1 — reasoning-enhanced video generation. Up to 10 seconds.
Back to docs
Videokuaishou/kling-o1-video$0.00 / 1M in
Base URL
https://api.zekron.tech/api/v1Supported modes
text-to-videoimage-to-videoreference-to-videovideo-to-video
Parameters
Pass these inside the input object when creating a task.
| Field | Required |
|---|---|
| prompt | required |
| video_mode | optional |
| mode | optional |
| duration | optional |
| aspect_ratio | optional |
| keep_audio | optional |
| image_urls | optional |
| start_frame_url | optional |
| end_frame_url | optional |
| video_url | optional |
promptrequired
video_modeoptional
modeoptional
durationoptional
aspect_ratiooptional
keep_audiooptional
image_urlsoptional
start_frame_urloptional
end_frame_urloptional
video_urloptional
Example request
bash
curl -X POST https://api.zekron.tech/api/v1/tasks \
-H "Authorization: Bearer zk_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"model": "kuaishou/kling-o1-video",
"input": {
"prompt": "a cinematic shot of a lighthouse at golden hour",
"duration": 5,
"aspect_ratio": "16:9",
"mode": "std"
}
}'Example response
json
{
"id": "zk_task_8f3a2b1c9d",
"model": "kuaishou/kling-o1-video",
"status": "processing",
"created_at": "2026-06-10T12:00:00Z"
}Poll GET https://api.zekron.tech/api/v1/tasks/{id} until status is success or failed.
Pricing
This model is billed at $0.00 / 1M in. You are only charged for successful generations — failed tasks are never billed. Generated outputs are retained for 30 days before they expire.